Bug 222819 - pm-powersave fails due to dir permissons
pm-powersave fails due to dir permissons
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pm-utils (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-16 07:49 EST by Simon Goodall
Modified: 2015-03-04 20:18 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-23 08:15:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simon Goodall 2007-01-16 07:49:18 EST
Description of problem:
When executing "pm-powersave true" it fails with the message:

You do not have write access to /proc/sys/vm/

ls -l for /proc/sys/vm shows:

dr-xr-xr-x 2 root root 0 Jan 16 12:44 vm

however, ls -l within /proc/sys/vm shows e.g;

-rw-r--r-- 1 root root 0 Jan 16 12:47 laptop_mode

So pm-powersave *could* still write to the files if it had the correct check for
being able to write there.

Version-Release number of selected component (if applicable):
pm-utils-0.19-3

How reproducible:
Always

Steps to Reproduce:
1. Run pm-powersave true
2.
3.
  
Actual results:
error: You do not have write access to /proc/sys/vm/

Expected results:
output: **SetLowPower ON


Additional info:
Comment 1 Phil Knirsch 2007-01-23 08:15:40 EST
Fixed in latest version.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.